commit:     383061a378b6f087b0b16c2b7eddf17d5d4c95be
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 14 17:29:58 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 12:21:39 2018 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=383061a3

kde-apps/kcontacts: Drop unused dep

Upstream commit fc512cee665f1e2736a701c9960efce5c093bca3

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 .../files/kcontacts-18.04.0-unused-dep.patch       | 47 ++++++++++++++++++++++
 kde-apps/kcontacts/kcontacts-18.04.0.ebuild        |  3 +-
 kde-apps/kcontacts/kcontacts-18.04.49.9999.ebuild  |  3 +-
 kde-apps/kcontacts/kcontacts-9999.ebuild           |  3 +-
 4 files changed, 53 insertions(+), 3 deletions(-)

diff --git a/kde-apps/kcontacts/files/kcontacts-18.04.0-unused-dep.patch 
b/kde-apps/kcontacts/files/kcontacts-18.04.0-unused-dep.patch
new file mode 100644
index 0000000000..2843c6d542
--- /dev/null
+++ b/kde-apps/kcontacts/files/kcontacts-18.04.0-unused-dep.patch
@@ -0,0 +1,47 @@
+From fc512cee665f1e2736a701c9960efce5c093bca3 Mon Sep 17 00:00:00 2001
+From: Volker Krause <vkra...@kde.org>
+Date: Sat, 14 Apr 2018 18:08:38 +0200
+Subject: Remove unused D-Bus dependency
+
+Summary: Makes this much easier to build on Android.
+
+Reviewers: #kde_pim, dvratil
+
+Reviewed By: #kde_pim, dvratil
+
+Tags: #kde_pim
+
+Differential Revision: https://phabricator.kde.org/D12198
+---
+ CMakeLists.txt     | 2 +-
+ src/CMakeLists.txt | 1 -
+ 2 files changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index f47888b..87408d9 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -33,7 +33,7 @@ ecm_setup_version(PROJECT VARIABLE_PREFIX KContacts
+ )
+ 
+ ########### Find packages ###########
+-find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS DBus Gui)
++find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
+ find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config 
Codecs)
+ 
+ ########### Targets ###########
+diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
+index 819e7fe..e1a2094 100644
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -63,7 +63,6 @@ PUBLIC
+     KF5::CoreAddons
+ PRIVATE
+     Qt5::Gui
+-    Qt5::DBus
+     KF5::ConfigCore
+     KF5::I18n
+     KF5::Codecs # for the vcard parser
+-- 
+cgit v0.11.2
+

diff --git a/kde-apps/kcontacts/kcontacts-18.04.0.ebuild 
b/kde-apps/kcontacts/kcontacts-18.04.0.ebuild
index 620bf281c4..0eb69f42b2 100644
--- a/kde-apps/kcontacts/kcontacts-18.04.0.ebuild
+++ b/kde-apps/kcontacts/kcontacts-18.04.0.ebuild
@@ -17,13 +17,14 @@ DEPEND="
        $(add_frameworks_dep kconfig)
        $(add_frameworks_dep kcoreaddons)
        $(add_frameworks_dep ki18n)
-       $(add_qt_dep qtdbus)
        $(add_qt_dep qtgui)
 "
 RDEPEND="${DEPEND}
        !kde-apps/kdepim-l10n
 "
 
+PATCHES=( "${FILESDIR}/${P}-unused-dep.patch" )
+
 src_prepare() {
        kde5_src_prepare
 

diff --git a/kde-apps/kcontacts/kcontacts-18.04.49.9999.ebuild 
b/kde-apps/kcontacts/kcontacts-18.04.49.9999.ebuild
index d8a0921709..dca30f0ed7 100644
--- a/kde-apps/kcontacts/kcontacts-18.04.49.9999.ebuild
+++ b/kde-apps/kcontacts/kcontacts-18.04.49.9999.ebuild
@@ -17,13 +17,14 @@ DEPEND="
        $(add_frameworks_dep kconfig)
        $(add_frameworks_dep kcoreaddons)
        $(add_frameworks_dep ki18n)
-       $(add_qt_dep qtdbus)
        $(add_qt_dep qtgui)
 "
 RDEPEND="${DEPEND}
        !kde-apps/kdepim-l10n
 "
 
+PATCHES=( "${FILESDIR}/${PN}-18.04.0-unused-dep.patch" )
+
 src_prepare() {
        kde5_src_prepare
 

diff --git a/kde-apps/kcontacts/kcontacts-9999.ebuild 
b/kde-apps/kcontacts/kcontacts-9999.ebuild
index d8a0921709..dca30f0ed7 100644
--- a/kde-apps/kcontacts/kcontacts-9999.ebuild
+++ b/kde-apps/kcontacts/kcontacts-9999.ebuild
@@ -17,13 +17,14 @@ DEPEND="
        $(add_frameworks_dep kconfig)
        $(add_frameworks_dep kcoreaddons)
        $(add_frameworks_dep ki18n)
-       $(add_qt_dep qtdbus)
        $(add_qt_dep qtgui)
 "
 RDEPEND="${DEPEND}
        !kde-apps/kdepim-l10n
 "
 
+PATCHES=( "${FILESDIR}/${PN}-18.04.0-unused-dep.patch" )
+
 src_prepare() {
        kde5_src_prepare
 

Reply via email to